#!/bin/sh


#
# N8100-801_UpdateModule-1.3 Update check
#
if [ -s /var/log/N8100-801_patch01-3.log ]
then
	rm -r -f ./N8100-801_UpdateModule-1.0
	rm -r -f ./N8100-801_UpdateModule-1.1
	rm -r -f ./N8100-801_UpdateModule-1.2
	rm -r -f ./N8100-801_UpdateModule-1.3

	echo "N8100-801_UpdateModule-1.3 has already been Installed(CD002)"
        exit
fi


#
# Update Script Install
#
/bin/mv ./a /etc/rc.d/init.d/.
/sbin/chkconfig --add a

#
# iplb4d update arrangements command script
#
/etc/rc.d/init.d/iplb4d stop
sleep 2
echo ""
/etc/rc.d/init.d/iplb4md stop 
sleep 2
echo ""
/etc/rc.d/init.d/iplb4wd stop 
sleep 2
echo ""
/etc/rc.d/init.d/cntsd stop
sleep 2
echo ""


## R1.0 update script start
	##R1.0 iplb4d not install
	##
	## iplb4 update command script
	#cp -f -p ./N8100-801_UpdateModule-1.0/iplb4d /usr/lib/iplb4/.
	#echo "iplb4 Daemon Install Finish!!"


	#
	# cgi update command script
	cp -f -p ./N8100-801_UpdateModule-1.0/update_cgi/* /opt/nec/wbmc/adm/uloadbalancer/.
	echo "Management Console cgi Install Finish!!"

	#
	# help update command script
	cp -f -p ./N8100-801_UpdateModule-1.0/update_help/* /opt/nec/wbmc/adm/uloadbalancer/help/.
	echo "Management Console help Install Finish!!"
## R1.0 update script end

## R1.1 update script start
	#
        # Mail update command script
        #
        cp -f -p ./N8100-801_UpdateModule-1.1/iplbmsgr /usr/lib/iplb4/.
        cp -f -p ./N8100-801_UpdateModule-1.1/smtp.pl /usr/lib/iplb4/.
        echo "Management Console Mail Install Finish!!"

        #
        # cgi update command script
        #
        cp -f -p ./N8100-801_UpdateModule-1.1/*.cgi /opt/nec/wbmc/adm/uloadbalancer/.
        echo "Management Console cgi Install Finish!!"

        #
        # help update command script
        #
        cp -f -p ./N8100-801_UpdateModule-1.1/*.htm /opt/nec/wbmc/adm/uloadbalancer/help/.
        echo "Management Console help Install Finish!!"

        #
        # iplb4md update script
        #
        cp -f -p ./N8100-801_UpdateModule-1.1/iplb4md /etc/rc.d/init.d/.
        chmod 755 /etc/rc.d/init.d/iplb4md
        echo "iplb4md file copy finish!!"

        #
        # iplb4wd update script
        #
        cp -f -p ./N8100-801_UpdateModule-1.1/iplb4wd /etc/rc.d/init.d/.
        chmod 755 /etc/rc.d/init.d/iplb4wd
        echo "iplb4wd file copy finish!!"
## R1.1 update script end

## R1.2 update script start
	#
	# iplb4 update command script
	#
	cp -f -p ./N8100-801_UpdateModule-1.2/iplb4d /usr/lib/iplb4/.
        chmod 755 /usr/lib/iplb4/iplb4d
	echo "iplb4 Daemon Install Finish!!"

	#
	# ktcpvs uninstall command script
	#
	/sbin/tcpvsadm -c > /dev/null 2>&1
	sleep 2

	if [ -e /proc/sys/net/ktcpvs/unload ]
	then
		echo "1" > /proc/sys/net/ktcpvs/unload
		rmmod tcp_vs_wlc > /dev/null 2>&1
		rmmod tcp_vs_lc > /dev/null 2>&1
		rmmod tcp_vs_wrr > /dev/null 2>&1
		rmmod tcp_vs_rr > /dev/null 2>&1
		rmmod tcp_vs_url > /dev/null 2>&1
		rmmod tcp_vs_ctype > /dev/null 2>&1
		rmmod tcp_vs_imode > /dev/null 2>&1
		sleep 2
		rmmod ktcpvs > /dev/null 2>&1
		sleep 2
	fi

	#
	# ktcpvs update command script
	#
	cp -f -p ./N8100-801_UpdateModule-1.2/tcp_vs_wlc.o /usr/lib/iplb4/modules/.
	cp -f -p ./N8100-801_UpdateModule-1.2/tcp_vs_lc.o /usr/lib/iplb4/modules/.
	cp -f -p ./N8100-801_UpdateModule-1.2/tcp_vs_wrr.o /usr/lib/iplb4/modules/.
	cp -f -p ./N8100-801_UpdateModule-1.2/tcp_vs_rr.o /usr/lib/iplb4/modules/.
	cp -f -p ./N8100-801_UpdateModule-1.2/tcp_vs_url.o /usr/lib/iplb4/modules/.
	cp -f -p ./N8100-801_UpdateModule-1.2/tcp_vs_ctype.o /usr/lib/iplb4/modules/.
	cp -f -p ./N8100-801_UpdateModule-1.2/tcp_vs_imode.o /usr/lib/iplb4/modules/.
	cp -f -p ./N8100-801_UpdateModule-1.2/tcp_vs.o /usr/lib/iplb4/modules/.
	cp -f -p ./N8100-801_UpdateModule-1.2/tcp_vs_ctl.o /usr/lib/iplb4/modules/.
	cp -f -p ./N8100-801_UpdateModule-1.2/tcp_vs_misc.o /usr/lib/iplb4/modules/.
	cp -f -p ./N8100-801_UpdateModule-1.2/tcp_vs_timer.o /usr/lib/iplb4/modules/.
	cp -f -p ./N8100-801_UpdateModule-1.2/ktcpvs.o /usr/lib/iplb4/modules/.

	#
	# WbMCap update command script
	#
	cp -f -p ./N8100-801_UpdateModule-1.2/auth.cgi /opt/nec/wbmc/adm/softpkg/.
	cp -f -p ./N8100-801_UpdateModule-1.2/pkg_list.cgi /opt/nec/wbmc/adm/softpkg/.
	cp -f -p ./N8100-801_UpdateModule-1.2/rpm-i2.cgi /opt/nec/wbmc/adm/softpkg/.
	cp -f -p ./N8100-801_UpdateModule-1.2/rpm-qR.cgi /opt/nec/wbmc/adm/softpkg/.
	cp -f -p ./N8100-801_UpdateModule-1.2/rpm-qa.cgi /opt/nec/wbmc/adm/softpkg/.
	cp -f -p ./N8100-801_UpdateModule-1.2/rpm-qi.cgi /opt/nec/wbmc/adm/softpkg/.
	cp -f -p ./N8100-801_UpdateModule-1.2/rpm-qip.cgi /opt/nec/wbmc/adm/softpkg/.
	cp -f -p ./N8100-801_UpdateModule-1.2/rpm-ql.cgi /opt/nec/wbmc/adm/softpkg/.
## R1.2 update script end

## R1.3 update script start
        cat /etc/logrotate.d/iplb4d ./N8100-801_UpdateModule-1.3/iplb4d_add_code > tmp.txt
        mv -f tmp.txt /etc/logrotate.d/iplb4d
        rm -rf tmp.txt
        cp -f -p ./N8100-801_UpdateModule-1.3/log.cgi /opt/nec/wbmc/adm/system/log/log.cgi
## R1.3 update script end


#
# iplb4d update arrangements command script
#
/etc/rc.d/init.d/cntsd start
sleep 2
echo ""
/etc/rc.d/init.d/iplb4wd start
sleep 2
echo ""
/etc/rc.d/init.d/iplb4md start
sleep 2
echo ""
/etc/rc.d/init.d/iplb4d start
sleep 2
echo ""

#
# update timestamp 
#
/bin/date >> /var/log/N8100-801_patch01-3.log

echo "Express5800/LB300a UpdateModule-1.3 Install Finish!!"
#
# update directory delete
#
rm -r -f ./N8100-801_UpdateModule-1.0
rm -r -f ./N8100-801_UpdateModule-1.1
rm -r -f ./N8100-801_UpdateModule-1.2
rm -r -f ./N8100-801_UpdateModule-1.3

