#!/bin/sh
#
# Express5800/LoadBalancer 
#
# Copyright(C) 2003 NEC Corporation.
#

LOGDIR=/opt/nec/wbmc/adm/uloadbalancer/lb4-ud
LOGFILE=/opt/nec/wbmc/adm/uloadbalancer/lb4-ud/lb4-ud.txt

rm -fr $LOGDIR >/dev/null 2>&1

/bin/mkdir $LOGDIR >/dev/null 2>&1

/bin/date >>$LOGFILE
/bin/uname -a >>$LOGFILE 

echo "===== procinfo =====" >> $LOGFILE
/usr/bin/procinfo -a >> $LOGFILE
echo "=== process info ===" >> $LOGFILE
/bin/ps -aux >> $LOGFILE
echo "===== ifconfig =====" >> $LOGFILE
/sbin/ifconfig >> $LOGFILE
echo "===== ipvsadm  =====" >> $LOGFILE
/sbin/ipvsadm -Ln >> $LOGFILE
echo "===== tcpvsadm  =====" >> $LOGFILE
/sbin/tcpvsadm -Ln >> $LOGFILE
echo "=== ipchains ===" >> $LOGFILE
/sbin/ipchains -nL >> $LOGFILE
echo "=== ipchains (masq) ===" >> $LOGFILE
/sbin/ipchains -M -nL >> $LOGFILE
echo "===== netstat =====" >> $LOGFILE
/bin/netstat -an >> $LOGFILE
echo "===== routing =====" >> $LOGFILE
/bin/netstat -nr >> $LOGFILE
echo "===== package info =====" >> $LOGFILE
/bin/rpm -qa --rcfile '' >> $LOGFILE
echo "===== iplb file list =====" >> $LOGFILE
ls -la /usr/lib/iplb4 >> $LOGFILE
echo "===== contents file list =====" >> $LOGFILE
ls -la /usr/lib/iplb_contents >> $LOGFILE

/bin/tar -cf $LOGDIR/lb4-ud.tar $LOGFILE >/dev/null 2>&1
/bin/tar -rf $LOGDIR/lb4-ud.tar /tmp/*_urgent.log >/dev/null 2>&1
/bin/tar -rf $LOGDIR/lb4-ud.tar /opt/nec/wbmc/adm/uloadbalancer/status/ >/dev/null 2>&1
/bin/tar -rf $LOGDIR/lb4-ud.tar /etc/ha4.d/ >/dev/null 2>&1
/bin/tar -rf $LOGDIR/lb4-ud.tar /etc/iplb4.d/ >/dev/null 2>&1
/bin/tar -rf $LOGDIR/lb4-ud.tar /etc/iplb_contents/ >/dev/null 2>&1
/bin/tar -rf $LOGDIR/lb4-ud.tar /var/log/messages* >/dev/null 2>&1
/bin/tar -rf $LOGDIR/lb4-ud.tar /var/log/iplb4/ >/dev/null 2>&1
/bin/tar -rf $LOGDIR/lb4-ud.tar /var/log/iplb_contents/ >/dev/null 2>&1
/bin/rm $LOGFILE >/dev/null 2>&1
/bin/gzip $LOGDIR/lb4-ud.tar >/dev/null 2>&1
mv $LOGDIR/lb4-ud.tar.gz $LOGDIR/lb4-ud.zip

echo "Content-type: text/html"
echo ""
echo "<HTML>"
echo "<HEAD>"
echo "<META http-equiv=Content-Type content=text/html; charset=euc-jp>"
echo "<TITLE>LoadBalancerμġ</TITLE>"
echo "<SCRIPT Language=\"JavaScript\">"
echo "<!--"
echo "function dl(){"
echo "location.pathname=\"/adm/uloadbalancer/lb4-ud/lb4-ud.zip\";"
echo "}"
echo "//-->"
echo "</SCRIPT>"
echo "</HEAD>"
echo "<BODY bgcolor=\"#FFFFD0\" onLoad=\"dl()\">"
echo "<CENTER>"
echo "<FORM>"
echo "<B>lb4-ud.zip ¸㳲ݡȤźդƤ</B><BR>"
echo "<INPUT Type=\"button\" value=\"Ĥ\" onClick='window.close()'><BR>"
echo "</TR>"
echo "</TABLE>"
echo "</FORM>"
echo "</CENTER>"
echo "</BODY>"
echo "</HTML>"
